</div>
<!-- start: Javascript -->
<script src="https://code.jquery.com/jquery-3.5.1.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/jquery.ui.min.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/bootstrap.min.js"></script>


<!-- plugins -->
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/moment.min.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/fullcalendar.min.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/jquery.nicescroll.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/chart.min.js"></script>
<script src="https://cdn.datatables.net/1.11.4/js/jquery.dataTables.min.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/datatables.bootstrap.min.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/jquery.nicescroll.js"></script>
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/plugins/bootstrap-material-datetimepicker.js"></script>

<script src="https://cdn.datatables.net/buttons/1.7.0/js/dataTables.buttons.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/pdfmake.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.53/vfs_fonts.js"></script>
<script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.html5.min.js"></script>
<script src="https://cdn.datatables.net/buttons/1.7.0/js/buttons.print.min.js"></script>
<script src="https://cdn.datatables.net/plug-ins/1.12.1/pagination/select.js"></script>

<!-- custom -->
<script src="<?php echo base_url(); ?>/plantilla/template/asset/js/main.js"></script>

	<script type="text/javascript">
		$(document).ready(function(){
		    $('#tblcentrocosto').DataTable({
			    "scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example').DataTable({
			    "columnDefs": [ {
                    "targets": [2,13],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example3').DataTable({
			    "columnDefs": [ {
                    "targets": [7,8,9,10],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example4').DataTable({
			    "columnDefs": [ {
                    "targets": 6,
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example5').DataTable({
			    "columnDefs": [ {
                    "targets": [],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example6').DataTable({
			    "columnDefs": [ {
                    "targets": [2,3,4],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-example7').DataTable({
			    "columnDefs": [ {
                    "targets": [2,3,4],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#datatables-pago').DataTable({
			    "columnDefs": [ {
                    "targets": [3,4,5,6,18],
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			 var table1=$('#tablaventa').DataTable({
			    "columnDefs": [ {
                    "targets": 4,
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				 "sPaginationType": "listbox",
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				],
				
			});
			
			$('#tablapago').DataTable({
			    "columnDefs": [ {
                    "targets": 4,
                    "render": DataTable.render.number(',','.',2,'$') 
                  } ],
				"scrollX": true,
				dom: 'Bfrtip',
				 "sPaginationType": "listbox",
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#tablaSeleccion').DataTable({
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#tablaSeleccion1').DataTable({
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#tablaAccion').DataTable({
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});
			$('#tablaAccion1').DataTable({
				"scrollX": true,
				dom: 'Bfrtip',
				buttons: [
				'copy', 'csv', 'excel', 'pdf', 'print'
				]
			});

			$('.date').bootstrapMaterialDatePicker({ weekStart : 0, time: false});
			$('.dateAnimate').bootstrapMaterialDatePicker({ weekStart : 0, time: false,animation:true});

		});
		var link_url_ctc='https://megaprofer.serviciosrapidito.com/api-ctc/public/';
		var array_venta= new Array();
		var array_pago= new Array();
		enviar_datos_php_conciliacion_manual=function(){
			$('#spinnerconciliacion').modal('show');
			$('[name="tabla_dato_venta"]').val(JSON.stringify(array_venta));
			$('[name="tabla_dato_pago"]').val(JSON.stringify(array_pago));
			$("#example1").submit();
			$('#formularioconciliacionmanial').submit();
		}
		enviar_datos_php_conciliacion_automatica=function(){
			$('#spinnerconciliacion').modal('show');
			$('#formularioconciliacionautomatica').submit();
		}
        
        enviar_datos_php_contabilizacion=function(){
			$('#spinnerconciliacion').modal('show');
			$('#formulariocontabilizar').submit();
		}
		editarvistapago= function(id,tipo_pago,descripcion){
			$('#editartipid').val(id);
			$('#editartipopago').val(tipo_pago);
			$('#editardescripciontipopago').val(descripcion);
		}
		editarcentrocosto= function(id,centro_costo,pdv,ctc){
			$('#edit_cco_id').val(id);
			$('#edit_cco_centro_costo').val(centro_costo);
			$('#edit_cco_pdv').val(pdv);
			$('#edit_cco_ctc').val(ctc);
		}
		editarregistrocomisiones=function(rbt_id,rbt_meses_gracia,rbt_numero_cuotas,rbt_porcentaje_comision,rbt_frecuencia_pago,rbt_fecha_contable){
			$('#editrbtid').val(rbt_id);
			$('#editmesesgracia').val(rbt_meses_gracia);
			$('#editnumerocuotas').val(rbt_numero_cuotas);
			$('#editporcentajecomision').val(rbt_porcentaje_comision);
			$('#editfrecuenciapago').val(rbt_frecuencia_pago);
			$('#editfechacontable').val(rbt_fecha_contable);
		}

		editar_activar_fechasferiado=function(){
			if( $('#editactivarferiado').prop('checked') ) {
				document.getElementById('editdivmostrarfechaseditar').style.display='block';
			}else{
				document.getElementById('editdivmostrarfechaseditar').style.display='none';
				document.getElementById('editfechaferiadodesde').value='';
				document.getElementById('editfechaferiadohasta').value='';
			}
		}

		activar_fechasferiado=function(){
			if( $('#activarferiado').prop('checked') ) {
				document.getElementById('divmostrarfechas').style.display='block';
			}else{
				document.getElementById('divmostrarfechas').style.display='none';
				document.getElementById('fechaferiadodesde').value='';
				document.getElementById('fechaferiadohasta').value='';
			}
		}
        
        editarCuentaBanco=function(){
            var banco=document.getElementById('nombrebanco');
			document.getElementById('cuentabanco').value=banco.options[banco.selectedIndex].text;//alert(document.getElementById('cuentabanco').value);
			
		}
        
		comprobardesconciliar=function(){
			if(document.getElementById('numeroconciliacion').value=='' ){
				alert('Ingrese el numero de conciliacion');
			}else{
				if(confirm('¿Esta seguro que quiere desconciliar?')){
					$('#formulariodesconciliacion').submit();
				}
				
			}
			
		}

		agregartarjetacreditoporbanco= function(ban_id){
			
			$.ajax({		    
				url : link_url_ctc+'tarjetacreditomostrarporbanco',
				data : {ban_id:ban_id},
				type : 'POST',
				dataType : 'json',


				success : function(json) {		    	
					var html ='<div class="form-group form-animate-text" >';
					html +='<select class="form-control" id="taccodigo" name="taccodigo" required>';
					html +='<option value="">SELECCIONE..</option> ';
					if(json['data']!=null){
						for(var i =0;i<json['data'].length ; i++){		    		
							html +='<option value="'+json['data'][i]['tac_codigo']+'">'+json['data'][i]['tac_nombre']+'</option>';
						}
					}		    	
					html +='</select><span class="bar"></span><label>Seleccione la tarjeta</label></div>';
					$('#divcargartarjetacredito').html(html);
				},

				error : function(xhr, status) {
					alert('Disculpe, existió un problema');
				},


			});
		}
		editartarjetacreditoporbanco= function(ban_id){
			
			$.ajax({		    
				url : link_url_ctc+'tarjetacreditomostrarporbanco',
				data : {ban_id:ban_id},
				type : 'POST',
				dataType : 'json',


				success : function(json) {		    	
					var html ='<div class="form-group form-animate-text" >';
					html +='<select class="form-control" id="edittaccodigo" name="edittaccodigo" >';
					html +='<option value="">SELECCIONE..</option> ';
					if(json['data']!=null){
						for(var i =0;i<json['data'].length ; i++){		    		
							html +='<option value="'+json['data'][i]['tac_codigo']+'">'+json['data'][i]['tac_nombre']+'</option>';
						}
					}		    	
					html +='</select><span class="bar"></span><label>Seleccione la tarjeta</label></div>';
					$('#diveditarcargartarjetacredito').html(html);
				},

				error : function(xhr, status) {
					alert('Disculpe, existió un problema');
				},


			});
		}

		
		sumatoria_venta=function(item){
			const base_url = new String('<?php echo base_url(); ?>'+'/Conciliacion/obtenervalor');
			$.ajax({		    
				url : base_url,
				data : {dato:item},
				type : 'POST',
				//dataType : 'json',


				success : function(json) {		    	
					var datos = JSON.parse(json);
					if(datos != null){

						var valor=buscar_array_venta(datos['ven_id']);
						
						if(valor==-1){
							array_venta.push(datos);
						}else{
							eliminar_array_venta(valor);
						}
						var total=sumatoria_array_venta();
						
						document.getElementById('sum').innerHTML = '<b>'+total+'</b>'
					}
					
				},

				error : function(xhr, status) {
					alert('Disculpe, existió un problema');
				},


			});
			
		}

		eliminar_array_venta=function(i){
			array_venta.splice(i,1);
		}

		buscar_array_venta=function(ven_id){
			for (var i=0; i<array_venta.length;i++) {
				if(ven_id == array_venta[i]['ven_id']){
					return i;
				}
			}
			return -1;
		}

		sumatoria_array_venta=function(){
			var total=0;
			for (var i=0; i<array_venta.length;i++) {
				total+=parseFloat(array_venta[i]['ven_monto']);
			}
			return total.toFixed(2);
		}

		sumatoria_pago=function(item){
			const base_url = new String('<?php echo base_url(); ?>'+'/Conciliacion/obtenervalor');
			$.ajax({		    
				url : base_url,
				data : {dato:item},
				type : 'POST',
				//dataType : 'json',


				success : function(json) {		    	
					var datos = JSON.parse(json);
					if(datos != null){

						var valor=buscar_array_pago(datos['pad_id']);
						
						if(valor==-1){
							array_pago.push(datos);
						}else{
							eliminar_array_pago(valor);
						}
						var total=sumatoria_array_pago();
						
						document.getElementById('sumpago').innerHTML = '<b>'+total+'</b>'
					}
					
				},

				error : function(xhr, status) {
					alert('Disculpe, existió un problema');
				},


			});
			
		}

		eliminar_array_pago=function(i){
			array_pago.splice(i,1);
		}

		buscar_array_pago=function(pad_id){
			for (var i=0; i<array_pago.length;i++) {
				if(pad_id == array_pago[i]['pad_id']){
					return i;
				}
			}
			return -1;
		}

		sumatoria_array_pago=function(){
			var total=0;
			for (var i=0; i<array_pago.length;i++) {
				total+=parseFloat(array_pago[i]['pad_total_pagar']);
			}
			return total.toFixed(2);
		}

		valor_cuentas=function(){
			let valores = 0;
			$('[name="seleccion_cuenta[]"]:checked').map(function(){
				valores += parseFloat(this.value);
			}).get();
			$('.monto').text(`${valores}`);
			$('#montoEdit').val(`${valores}`);
		}
		


		

	</script>
	<!-- end: Javascript -->
</body>
</html>